New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Can not install lparallel alongside CL21 (solution found. Bug ?) #99

Open
vindarel opened this Issue Jul 20, 2017 · 2 comments

Comments

Projects
None yet
2 participants
@vindarel

vindarel commented Jul 20, 2017

I have a weird mix of errors.

I was using CL21, I was in my package, and I wanted to install lparallel. Not possible:

(ql:quickload :lparallel)
To load "lparallel":
  Load 1 ASDF system:
    lparallel
; Loading "lparallel"
; 
; caught ERROR:
;   DYNAMIC-EXTENT on a weird thing: (CL21.CORE.FUNCTION:FUNCTION #:BODY-FN1)
; 
; compilation unit aborted
;   caught 2 fatal ERROR conditions
;   caught 1 ERROR condition
; Evaluation aborted on #<UIOP/LISP-BUILD:COMPILE-FILE-ERROR {1008956C13}>.

I can reproduce it in a new session but it's a bit weird: if I quickload lparallel in cl-user, it complains on not finding the symbol CL21.CORE.FUNCTION:

The name "CL21.CORE.FUNCTION" does not designate any package.

So I ql:quickload CL21 and then on retrying to load lparallel (this time in cl-user) I get the first error.

But, I tried in Portacle for a fresh image and… I couldn't reproduce this.

Any idea ? Is that an issue with cl21, lparallel, quicklisp or asdf ?? Thanks.

@phoe

This comment has been minimized.

phoe commented Jul 20, 2017

I can reproduce it in a new session but it's a bit weird: if I quickload lparallel in cl-user, it complains on not finding the symbol CL21.CORE.FUNCTION:
The name "CL21.CORE.FUNCTION" does not designate any package.

Remove your .fasl files and try again or (asdf:operate 'asdf:load-op :lparallel :force t) to force a recompilation of the lparallel system.

Sounds like a cl21 bug.

@vindarel

This comment has been minimized.

vindarel commented Jul 20, 2017

I tried with this command and it works again. I loaded cl21, use-package, in-package then loading lparallel still worked. This makes me load lparallel in a new or in my old session. Thanks !

ps: cl21 is a pleasure to work with :)

@vindarel vindarel changed the title from Can not install lparallel alongside CL21 (?) to Can not install lparallel alongside CL21 (solution found. Bug ?) Jul 20, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment